"{ Package: 'stx:libtool2' }"

FileOperations subclass:#Move
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'Interface-Support'
!


!Move class methodsFor:'actions'!

moveFile:aSourceFile to:aDestFile
    "move from to
    "

    |instance|

    instance := self new.
    instance moveFile:aSourceFile to:aDestFile.
    ^ instance
! !

!Move methodsFor:'actions'!

moveFile:aSourceFile to:aDestFile
    "defete current selected files/directories
    "

    |newFile|

    aDestFile exists not ifTrue:[
        DialogBox warn:'cant move to:', aDestFile asString. 
        result := false.
        ^ self
    ].
    newFile := (aDestFile pathName asFilename) construct:(aSourceFile baseName).
    (self fileExistDialogFor:newFile) ifFalse:[
        result := false.
        ^ self.
    ].
    Error handle:[:ex|
        DialogBox warn:ex errorString.
        result := false.
    ] do:[
        aSourceFile renameTo:(aDestFile construct:(aSourceFile baseName)).
        result := true.
    ].
! !

!Move class methodsFor:'documentation'!

version
    ^ '$Header$'
! !
